Name:           qmlkonsole
Version:        22.02
Release:        1%{?dist}
License:        GPLv2+
Summary:        Terminal app for Plasma Mobile
Url:            https://invent.kde.org/plasma-mobile/qmlkonsole
Source:         https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  appstream

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)

Requires:       kf5-kirigami2
Requires:       qmltermwidget
Recommends:     dejavu-fonts-all

%description
%{summary}.

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}

%check
appstreamcli validate --no-net %{buildroot}%{_datadir}/metainfo/org.kde.mobile.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.mobile.%{name}.desktop

%files -f %{name}.lang
%license LICENSES/GPL-2.0-or-later.txt
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.mobile.%{name}.desktop
%{_kf5_metainfodir}/org.kde.mobile.%{name}.appdata.xml
%{_kf5_datadir}/config.kcfg/terminalsettings.kcfg

%changelog
* Thu Feb 10 2022 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 22.02-1
- Plasma mobile version 22.02

* Sun Jan 23 2022 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.12-1
- 21.12

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 21.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 13 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.08-1
- 21.08

* Tue Jun 08 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.06-1
- initial version of package
